# $Revision: 1.176.4.1 $, $Date: 2011/11/02 14:05:25 $
Summary:	GNOME utility programs
Summary(ja.UTF-8):	GNOME ユーティリティプログラム集
Summary(pl.UTF-8):	Programy użytkowe GNOME
Summary(ru.UTF-8):	Утилиты GNOME
Summary(uk.UTF-8):	Утиліти GNOME
Summary(zh_CN.UTF-8):	GNOME应用程序集
Name:		gnome-utils
Version:	2.32.0
Release:	3
Epoch:		1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	e150cdb53314fe97ea80768850c2e03c
Patch0:		%{name}-glib.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gnome-panel-devel >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk-devel >= 0.4
BuildRequires:	libgtop-devel >= 2.14.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper >= 0.3.11
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Obsoletes:	gnome
Obsoletes:	gnome-admin
Obsoletes:	gnome-utils-floppy
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME utility programs.

GNOME is the GNU Network Object Model Environment. That's a fancy name
but really GNOME is a nice GUI desktop environment. It makes using
your computer easy, powerful, and easy to configure.

%description -l ja.UTF-8
GNOME (GNU Network Object Model Environment) は、 X Window System の
ウィンドウマネージャと協調して動くユーザフレンドリーな GUI
アプリケーション とデスクトップツール集です。 gnome-utils
パッケージは、 GNOME の ユーティリティ集です。
Gcalc,Gdialog,Gdiskfree, そしてその他 いろいろなツールが含まれます。

%description -l pl.UTF-8
Programy użytkowe GNOME'a.

%description -l ru.UTF-8
Этот пакет содержит некоторые утилиты для GNOME, такие как инструмент
для поиска файлов, калькулятор, редактор 16-ричного кода и т.п.

%description -l uk.UTF-8
Цей пакет містить деякі утиліти для GNOME, такі як інструмент для
пошуку файлів, калькулятор, редактор 16-кового коду, тощо.

%package -n libgdict
Summary:	libgdict library
Summary(pl.UTF-8):	Biblioteka libgdict
Group:		X11/Libraries

%description -n libgdict
libgdict library.

%description -n libgdict -l pl.UTF-8
Biblioteka libgdict.

%package -n libgdict-devel
Summary:	Header files for libgdict library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgdict
Group:		X11/Development/Libraries
Requires:	gtk+2-devel >= 2:2.18.0
Requires:	libgdict = %{epoch}:%{version}-%{release}

%description -n libgdict-devel
This is the package containing the header files for libgdict library.

%description -n libgdict-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libgdict.

%package -n libgdict-static
Summary:	Static libgdict library
Summary(pl.UTF-8):	Statyczna biblioteka libgdict
Group:		X11/Development/Libraries
Requires:	libgdict-devel = %{epoch}:%{version}-%{release}

%description -n libgdict-static
Static libgdict library.

%description -n libgdict-static -l pl.UTF-8
Statyczna biblioteka libgdict.

%package -n libgdict-apidocs
Summary:	libgdict API documentation
Summary(pl.UTF-8):	Dokumentacja API libgdict
Group:		Documentation
Requires:	gtk-doc-common

%description -n libgdict-apidocs
libgdict API documentation.

%description -n libgdict-apidocs -l pl.UTF-8
Dokumentacja API libgdict.

%package baobab
Summary:	Graphical directory tree analyzer
Summary(pl.UTF-8):	Graficzny analizator drzew katalogów
Group:		X11/Applications
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	baobab

%description baobab
Graphical directory tree analyzer.

%description baobab -l pl.UTF-8
Graficzny analizator drzew katalogów.

%package dictionary
Summary:	Online dictionary
Summary(pl.UTF-8):	Słownik online
Group:		X11/Applications
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	gnome-utils-dict
Obsoletes:	gnome-dict
Obsoletes:	gnome-utils-dict
Conflicts:	gnome-utils <= 0:2.10.0-1

%description dictionary
Allows to look up an online dictionary for definitions and correct
spellings of words.

%description dictionary -l pl.UTF-8
Pozwala na wyszukiwanie definicji i poprawnej pisowni słów w słowniku
sieciowym.

%package logview
Summary:	System log viewer for GNOME
Summary(pl.UTF-8):	Przeglądarka logów systemowych dla GNOME
Group:		X11/Applications
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	gnome-utils <= 0:2.10.0-1

%description logview
Allows to view system logs.

%description logview -l pl.UTF-8
Pozwala na przeglądanie logów systemowych.

%package search-tool
Summary:	GNOME search tool
Summary(pl.UTF-8):	Narzędzie wyszukujące dla GNOME
Group:		X11/Applications
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	gnome-utils <= 0:2.10.0-1

%description search-tool
Allows to search for files on system.

%description search-tool -l pl.UTF-8
Pozwala na wyszukiwanie plików w systemie.

%package screenshot
Summary:	Screenshot utility
Summary(pl.UTF-8):	Narzędzie do robienia zrzutów ekranu
Group:		X11/Applications
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	gnome-utils <= 0:2.10.0-1

%description screenshot
Allows to make a desktop screenshot.

%description screenshot -l pl.UTF-8
Pozwala na zrobienie zrzutu ekranu biurka.

%prep
%setup -q
%patch0 -p1

sed -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%find_lang %{name}-2.0
%find_lang baobab --with-gnome --with-omf
%find_lang gnome-dictionary --with-gnome --with-omf
%find_lang gnome-search-tool --with-gnome --with-omf
%find_lang gnome-system-log --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n libgdict -p /sbin/ldconfig
%postun -n libgdict -p /sbin/ldconfig

%post baobab
%scrollkeeper_update_post
%gconf_schema_install baobab.schemas
%update_icon_cache hicolor

%preun baobab
%gconf_schema_uninstall baobab.schemas

%postun baobab
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post dictionary
%scrollkeeper_update_post
%gconf_schema_install gnome-dictionary.schemas
%update_icon_cache hicolor

%preun dictionary
%gconf_schema_uninstall gnome-dictionary.schemas

%postun dictionary
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post logview
%scrollkeeper_update_post
%gconf_schema_install gnome-system-log.schemas

%preun logview
%gconf_schema_uninstall gnome-system-log.schemas

%postun logview
%scrollkeeper_update_postun

%post search-tool
%scrollkeeper_update_post
%gconf_schema_install gnome-search-tool.schemas

%preun search-tool
%gconf_schema_uninstall gnome-search-tool.schemas

%postun search-tool
%scrollkeeper_update_postun

%post screenshot
%gconf_schema_install gnome-screenshot.schemas

%preun screenshot
%gconf_schema_uninstall gnome-screenshot.schemas

%files -f %{name}-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/%{name}

%files -n libgdict
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdict-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdict-1.0.so.6
%{_datadir}/gdict-1.0

%files -n libgdict-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdict-1.0.so
%{_libdir}/libgdict-1.0.la
%{_includedir}/gdict-1.0
%{_pkgconfigdir}/gdict-1.0.pc

%files -n libgdict-static
%defattr(644,root,root,755)
%{_libdir}/libgdict-1.0.a

%files -n libgdict-apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdict

%files baobab -f baobab.lang
%defattr(644,root,root,755)
%doc baobab/AUTHORS baobab/ChangeLog baobab/README baobab/TODO
%attr(755,root,root) %{_bindir}/baobab
%{_sysconfdir}/gconf/schemas/baobab.schemas
%{_desktopdir}/baobab.desktop
%{_iconsdir}/hicolor/*/*/baobab.*
%{_datadir}/baobab
%{_mandir}/man1/baobab*

%files dictionary -f gnome-dictionary.lang
%defattr(644,root,root,755)
%doc gnome-dictionary/AUTHORS gnome-dictionary/README gnome-dictionary/TODO
%attr(755,root,root) %{_bindir}/gnome-dictionary
%attr(755,root,root) %{_libdir}/gnome-dictionary-applet
%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas
%{_desktopdir}/gnome-dictionary.desktop
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-dictionary
%{_mandir}/man1/gnome-dictionary*

%files logview -f gnome-system-log.lang
%defattr(644,root,root,755)
%doc logview/ChangeLog logview/TODO
%attr(755,root,root) %{_bindir}/gnome-system-log
%{_sysconfdir}/gconf/schemas/gnome-system-log.schemas
%{_desktopdir}/gnome-system-log.desktop
%{_datadir}/%{name}/logview-filter.ui
%{_datadir}/%{name}/logview-toolbar.xml
%{_mandir}/man1/gnome-system-log*

%files search-tool -f gnome-search-tool.lang
%defattr(644,root,root,755)
%doc gsearchtool/AUTHORS gsearchtool/ChangeLog
%attr(755,root,root) %{_bindir}/gnome-search-tool
%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas
%{_desktopdir}/gnome-search-tool.desktop
%{_mandir}/man1/gnome-search-tool*
%{_pixmapsdir}/gsearchtool

%files screenshot
%defattr(644,root,root,755)
%doc gnome-screenshot/ChangeLog
%attr(755,root,root) %{_bindir}/gnome-panel-screenshot
%attr(755,root,root) %{_bindir}/gnome-screenshot
%{_datadir}/gnome-screenshot
%{_desktopdir}/gnome-screenshot.desktop
%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas
%{_mandir}/man1/gnome-screenshot*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-utils.spec,v $
Revision 1.176.4.1  2011/11/02 14:05:25  hawk
- fix building with glib >= 2.29.x

Revision 1.176  2011/02/04 18:23:53  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.175  2011/01/28 02:42:05  sparky
- BR: xorg-lib-libSM-devel

Revision 1.174  2010/10/12 20:56:03  qwiat
- updated to 2.32

Revision 1.173  2010/03/31 07:02:46  megabajt
- updated to 2.30.0

Revision 1.172  2010/01/20 19:06:55  megabajt
- updated to 2.28.3

Revision 1.171  2010/01/09 14:23:59  arekm
- release 3

Revision 1.170  2010/01/06 03:13:31  sparky
- BR: docbook-dtd412-xml

Revision 1.169  2009/11/12 16:13:45  patrys
- rebuild
- rel 2

Revision 1.168  2009/11/06 20:47:58  megabajt
- updated to 2.28.1

Revision 1.167  2009/10/27 21:26:25  adamg
- Obsoletes: gnome-utils-floppy

Revision 1.166  2009/09/26 22:55:21  patrys
- 2.28.0

Revision 1.165  2009/06/17 19:26:54  hawk
- release 2

Revision 1.164  2009/03/18 16:13:44  patrys
- merged from DEVEL

Revision 1.163.2.2  2009/03/18 16:13:11  patrys
- 2.26.0

Revision 1.163.2.1  2009/02/26 11:28:18  megabajt
- updated to 2.25.90

Revision 1.163  2008/11/15 20:15:13  arekm
- release 2

Revision 1.162  2008/11/01 15:42:09  megabajt
- updated to 2.24.1

Revision 1.161  2008/10/08 18:21:22  qboosh
- cleanup

Revision 1.160  2008/10/05 20:55:18  qwiat
- merge from DEVEL

Revision 1.159.2.2  2008/10/05 20:54:14  qwiat
- up to 2.24
- removed obsolete patch

Revision 1.159.2.1  2008/09/12 23:54:17  patrys
- 2.23.92

Revision 1.159  2008/08/18 13:10:21  patrys
- drop nonsense

Revision 1.158  2008-04-11 20:27:04  sls
- ver. 2.20.0.1

Revision 1.157  2007-11-27 20:39:47  qboosh
- updated find_lang BR
- sed quotes
- dropped unused _gnomehelpdir macro

Revision 1.156  2007-11-19 07:45:36  megabajt
- use better way to fix locale name
- use --with-omf
- release 5

Revision 1.155  2007-11-04 23:56:15  ankry
- sr@Latn -> sr@latin, rel. 4

Revision 1.154  2007/09/20 13:59:29  baggins
- rel 3
- there is no such thing as hicolor-icon-theme 2.20.0

Revision 1.153  2007/09/20 13:15:21  patrys
- fixed files

Revision 1.152  2007/09/17 10:45:10  patrys
- 2.20.0

Revision 1.151  2007/04/14 18:24:43  megabajt
- updated to 2.18.1

Revision 1.150  2007/03/12 17:23:11  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.149.2.2  2007/03/06 16:58:00  megabajt
- floppy subpackage is back; updated deps

Revision 1.149.2.1  2007/03/04 22:27:21  patrys
- 2.17.92

Revision 1.149  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.148  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.147  2006/11/15 18:24:24  megabajt
- up to 2.16.2

Revision 1.146  2006/10/03 17:31:46  grzegol
- 2.16.1

Revision 1.145  2006/09/04 20:02:58  grzegol
- 2.16.0

Revision 1.144  2006/08/25 16:49:18  freetz
- 2.15.94, updated file list

Revision 1.143  2006/08/21 16:43:24  freetz
- 2.15.93, updated deps, added apidocs subpkg, updated file list

Revision 1.142  2006/08/19 13:13:33  freetz
- O: baobab for -baobab subpkg

Revision 1.141  2006/08/10 21:36:23  freetz
- 2.15.92, updated deps

Revision 1.140  2006/07/26 18:51:06  freetz
- 2.15.90, use rpm macros, updated file list

Revision 1.139  2006/07/20 17:16:51  freetz
- rel.2, updated deps, --as-needed support

Revision 1.138  2006/06/14 17:50:30  freetz
- 2.15.4, Makefile patch applied upstream

Revision 1.137  2006/06/13 20:22:23  freetz
- 2.15.3, GNOME 2.15.x deps, baobab added, updated file list, added
  Makefile patch, (re)generate icon cache

Revision 1.136  2006/05/23 19:21:01  qboosh
- merged deps update from AC-branch

Revision 1.135  2006/05/23 18:21:03  blues
- merged P/O from AC-branch (bigger merge is needed...)

Revision 1.134  2006/04/02 14:37:48  freetz
- merged from DEVEL

Revision 1.133.2.7  2006/03/13 14:32:41  freetz
- 2.14.0

Revision 1.133.2.6  2006/03/04 08:00:16  freetz
- 2.13.95

Revision 1.133.2.5  2006/02/25 09:20:22  freetz
- 2.13.93

Revision 1.133.2.4  2006/02/12 18:19:59  freetz
- 2.13.92

Revision 1.133.2.3  2006/01/30 23:29:38  freetz
- oops

Revision 1.133.2.2  2006/01/30 18:18:07  freetz
- removed bogus Requires, smashed white spaces

Revision 1.133.2.1  2006/01/30 17:53:00  freetz
- 2.13.91, libgdict added

Revision 1.133  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.132  2005/11/28 18:26:46  freetz
- dropped omf patch - fixed in sources

Revision 1.131  2005/11/28 18:21:01  freetz
- 2.12.2

Revision 1.130  2005/10/04 21:03:56  freetz
- 2.12.1

Revision 1.129  2005/09/29 10:32:49  freetz
- changelog typo

Revision 1.128  2005/09/29 10:22:34  freetz
- removed banner from system-log-viewer (gtk+ app can't be set suid root)

Revision 1.127  2005/09/06 18:56:32  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.124.2.5  2005/08/22 20:57:54  aflinta
- 2.11.92

Revision 1.124.2.4  2005/08/08 15:38:34  paladine
- updated to 2.11.91

Revision 1.124.2.3  2005/07/25 18:53:36  freetz
- 2.11.90

Revision 1.124.2.2  2005/07/11 18:16:10  freetz
- 2.11.2, more %%docs

Revision 1.124.2.1  2005/07/04 21:01:29  freetz
- 2.11.1, more %%files
